Bug 519197 - perl-Crypt-SSLeay needs to be recompiled against new Perl
Summary: perl-Crypt-SSLeay needs to be recompiled against new Perl
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Crypt-SSLeay
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 15:40 UTC by Jonathan Kamens
Modified: 2009-08-26 07:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-26 07:37:01 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2009-08-25 15:40:40 UTC
With current rawhide including perl-Crypt-SSLeay-0.57-12.fc12.i686:

/usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/auto/Crypt/SSLeay/SSLeay.so: undefined symbol: Perl_pad_sv

FYI, I see a newer perl-Crypt-SSLeay build in koji, but it requires a newer openssl, and when I install the new openssl from koji as well, (a) there are dependency issues (e.g., httrack, about which I'll file another bug), and (b) yum segfaults.

Comment 1 Marcela Mašláňová 2009-08-26 07:37:01 UTC
This was fixed by rebuild of perl. Please update to perl-5.10.0-80.fc12

Reason for failure was answered here:
http://osdir.com/ml/general/2009-08/msg10656.html


Note You need to log in before you can comment on or make changes to this bug.